---
name: Bug report
about: Create a report to help us improve
title: ''
labels: bug
assignees: ''

---

<!-- Please complete the following checklist before submitting your issue.
This helps us respond more effectively and keeps the issue tracker focused. -->

### Checklist

- [ ] I have searched the [existing issues](https://github.com/HarrisonKramer/optiland/issues) and [discussions](https://github.com/HarrisonKramer/optiland/discussions) for a similar question or problem.
- [ ] I have read the [documentation](https://optiland.readthedocs.io/en/latest/) and tried to find an answer there.
- [ ] I am using the **latest version** of Optiland (if not, please update and retry).
- [ ] I have tried to reproduce or debug the issue myself before opening this.
- [ ] I have included **all necessary context**, such as version info, error messages, or minimal reproducible examples.

*Thanks for taking the time to go through this — it really helps us help you!*

### Bug Report

**Describe the bug**
A clear and concise description of what the bug is.

**To Reproduce**
Steps to reproduce the behavior:
1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error


**Expected behavior**
A clear and concise description of what you expected to happen.


**Screenshots**
If applicable, add screenshots to help explain your problem.


**Environment**  
- Optiland Version: `X.X.X`
- Python Version: `X.X`
- OS: `[Windows/Linux/macOS]`
- Additional Info:


**Additional context**
Add any other context about the problem here.
